import { FieldModel } from '../models';
import { BasicBuilder } from './basic';
import { Maybe } from '../maybe';
export declare class FieldBuilder<Value> extends BasicBuilder<Value, FieldModel<Value>> {
    protected _defaultValue: Value;
    constructor(_defaultValue: Value);
    build(defaultValue?: Maybe<Value>): FieldModel<Value>;
}
